% Get property from the specified object and return the value.
%   Call as:
%      get(obj), or
%      get(obj,prop_name)
%   where
%      obj       - object
%      prop_name - property name
%
%   The first form returns the list of property names as a string,
%   the second form returns the value of the named property.
%
function val = get(self,varargin)
    if (nargin == 1)
        val = {{{'bdryconn'}, {'connectivity (node identifiers), array [4,3]'}};
            {{'bdrygcell'}, {'constructor of the boundary gcell, function handle'}}
            };
        val = cat(1, get(self.gcell_3_manifold), val);
        return;
    else
        prop_name=varargin{1};
        switch prop_name
            case {'faceconn','bdryconn'}
                conn=get(self.gcell_3_manifold,'conn');
                val = [conn([1, 3, 2]);conn([1, 2, 4]);conn([2, 3, 4]);conn([1, 4, 3])];
            case {'bdrygcell'}
                val = @gcell_T3;
            otherwise
                val = get(self.gcell_3_manifold, prop_name);
        end
    end
end
