% Constructor of the graphic viewer class.
% Always takes either zero or one argument.  For no arguments, the default
% object is created.  For one argument, the argument may be either an
% object of the same type, in which case the copy is created; or, it may be
% a struct with the following fields representing options.
% Options:
%
function retobj = graphic_viewer (varargin)
    class_name='graphic_viewer';
    if (nargin == 0)
        parent=classbase;
        self.initialized =false;
        self.limits=[];
        self.figure =0;
        self.axes =0;
        self = class(self, class_name, parent);
        retobj = self;
    elseif (nargin == 1)
        arg = varargin{1};
        if strcmp(class(arg),class_name) % copy constructor.
            retobj = arg;
            return;
        else
            options =varargin{1};
            parent=classbase;
            self.initialized =false;
            self.figure=0;
            self.axes =0;
            self.limits=[];
            self = class(self, class_name, parent);
            retobj = self;
        end
    else
        error('Illegal arguments!');
    end
    return;
end