% Get property from the specified object and return the value.
%   Call as:
%      get(obj), or
%      get(obj,prop_name)
%   where
%      obj       - object
%      prop_name - property name
%
%   The first form returns the list of property names as a string,
%   the second form returns the value of the named property.
%
function val = get(self,varargin)
if (nargin == 1)
    val = {{{'property'}, {'property object'}}};
    return;
else
    prop_name=varargin{1};
    switch prop_name
        case 'property'
            val = self.property;
        case 'conductivity'
            val = get(self.property,prop_name);
        case 'source'
            val = get(self.property,prop_name);
        case 'specific_heat'
            val = get(self.property,prop_name);
        otherwise
            val = get(self.mater, prop_name);
    end
end
