% Select nodes using some criterion, for instance and node is selected
% because it is inside a box or on its surface.
% Example: fenode_select(fens,struct ('box',[1 -1 2 0 4 3])), yields box
%  -1<= x <=1     0<= y <=2     3<= z <=4
%
function nodelist = fenode_select(fens, options)
    nodelist= [];
    if isfield(options,'box')
        box=options.box;
        inflate =0;
        if isfield(options,'inflate')
            inflate = (options.inflate);
        end
        dim=length (box)/2;
        for i=1: dim
            abox(2*i-1)=min(box(2*i-1),box(2*i))- inflate;
            abox(2*i)=max(box(2*i-1),box(2*i))+ inflate;
        end
        for i=1: length (fens)
            if inbox (abox,get(fens(i),'xyz'))
                nodelist(end+1) =get(fens(i),'id');
            end
        end
    elseif isfield(options,'distance')
        from =0*get(fens(1),'xyz');
        if isfield(options,'from')
            from = options.from;
        end
        for i=1: length (fens)
            if norm (from-get(fens(i),'xyz'))<options.distance
                nodelist(end+1) =get(fens(i),'id');
            end
        end
    end
end

function b= inrange (range,x)
    b=((x>=range(1)) & (x<=range(2)));
end
function b= inbox (box,x)
    dim=length (box)/2;
    b=inrange (box(1:2),x(1));
    for i=2:dim
        b=(b & inrange (box(2*i-1:2*i),x(i)));
    end
end

